Bug 496951 - Tps server fails to start when CS.cfg is enabling logging with bad log file name
Tps server fails to start when CS.cfg is enabling logging with bad log file name
Status: CLOSED WONTFIX
Product: Dogtag Certificate System
Classification: Community
Component: TPS (Show other bugs)
unspecified
All Linux
medium Severity low
: ---
: ---
Assigned To: Christina Fu
Chandrasekar Kannan
:
Depends On:
Blocks: 445047
  Show dependency treegraph
 
Reported: 2009-04-21 15:01 EDT by Asha Akkiangady
Modified: 2015-01-04 18:37 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-11 15:26:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Asha Akkiangady 2009-04-21 15:01:55 EDT
Description of problem
Tps server fails to start when CS.cfg is enabling logging with bad log file name. 

Version-Release number of selected component (if applicable):
CS 8.0

How reproducible:


Steps to Reproduce:
1. TPS CS.cfg has debug logging enabled and location of the file is non existing ( example: logging.debug.filename=/var/lib/pki-tps/notexist/tps-debug.log)
2. Restart tps server.

  
Actual results:
Unable to start Apache:
    The tps module configuration file called
    '/var/lib/pki-tps/conf/CS.cfg' does not exist!
                                                        
Expected results:
TPS Server should be able to start up without logging.

Additional info:
Same error message is thrown when audit log or error log is enabled and log file name is pointed to a bad location.

Note You need to log in before you can comment on or make changes to this bug.